astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v1.1.1 »
- Data Visualization (`astropy.visualization`) »
- AsymmetricPercentileInterval

# AsymmetricPercentileInterval

class `astropy.visualization.``AsymmetricPercentileInterval`(lower_percentile, upper_percentile, n_samples=None)

  Bases: `astropy.visualization.BaseInterval`

  Interval based on a keeping a specified fraction of pixels (can be asymmetric).

  Parameters:

  lower_percentile : float

  > The lower percentile below which to ignore pixels.

  upper_percentile : float

  > The upper percentile above which to ignore pixels.

  n_samples : int, optional

  > Maximum number of values to use. If this is specified, and there are more values in the dataset as this, then values are randomly sampled from the array (with replacement)

  Methods Summary

  `get_limits`(values) |

  Methods Documentation

  `get_limits`(values)